<form [formGroup]="consultationsMoveForm">
  <div nz-row [nzGutter]="[24, 16]">
    <div nz-col class="gutter-row" nzLg="12">
      <mb-date-picker
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        mbLabelText="{{ 'development.proposed-unit.consultationScreen.ideaDate' | translate }}"
        formControlName="consultDate"
        [mbDisabledDate]="disabledConsultDate"
        [mbType]="isSubmitted && consultationsMoveForm.controls['consultDate'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && consultationsMoveForm.controls['consultDate'].errors != null"
        [mbErrors]="consultationsMoveForm.controls['consultDate'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Ngày cho ý kiến bắt buộc nhập' }]"
      >
      </mb-date-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
      <mb-input-text
        mbLabelText="{{ 'development.proposed-unit.consultationScreen.ideaPerson' | translate }}"
        mbPlaceholderText="{{ 'development.proposed-unit.consultationScreen.ideaPerson' | translate }}"
        formControlName="consultName"
        [mbMaxLength]="50"
        [mbType]="isSubmitted && consultationsMoveForm.controls['consultName'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && consultationsMoveForm.controls['consultName'].errors != null"
        [mbErrors]="consultationsMoveForm.controls['consultName'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Người cho ý kiến bắt buộc nhập' }]"
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
      <mb-select-unit
        formControlName="consultUnit"
        mbLabelText="{{ 'development.proposed-unit.table.currentUnit' | translate }}"
        mbPlaceholder="{{ 'development.proposed-unit.table.currentUnit' | translate }}"
        name="consultUnit"
        maxlength="30"
      >
      </mb-select-unit>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
      <mb-select
        [mbDataSelects]="listStatus"
        mbKeyLabel="name"
        mbKeyValue="code"
        formControlName="status"
        mbPlaceholder="{{ 'development.proposed-unit.consultationScreen.idea' | translate }}"
        mbLabelText="{{ 'development.proposed-unit.consultationScreen.idea' | translate }}"
        [mbType]="isSubmitted && consultationsMoveForm.controls['status'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && consultationsMoveForm.controls['status'].errors != null"
        [mbErrors]="consultationsMoveForm.controls['status'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Ý kiến bắt buộc chọn' }]"
      ></mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="24">
      <mb-input-text
        [mbIsTextAre]='true'
        [mbConfig]="{ rows: 4, autoSize: true }"
        formControlName="note"
        [mbMaxLength]="200"
        mbLabelText="{{ 'development.proposed-unit.consultationScreen.detailIdea' | translate }}"
        mbPlaceholderText="{{ 'development.proposed-unit.consultationScreen.detailIdea' | translate }}"
      ></mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <label nz-checkbox formControlName="show">{{
        'development.proposed-unit.consultationScreen.displayOnReport2' | translate
      }}</label>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <label nz-checkbox formControlName="showOpinion">{{
        'development.proposed-unit.consultationScreen.displayOnReport3' | translate
      }}</label>
    </div>
  </div>
</form>
